Remote Command Injection in Zingbox Inspector (PAN-SA-2019-0025)

Last revised: 10/01/2019

Summary

A security vulnerability exists in Zingbox Inspector that allows for remote code execution if the Inspector were sent a malicious command from the Zingbox cloud, or if the Zingbox Inspector were tampered with to connect to an attacker's cloud endpoint. (Ref: CVE-2019-1584)

Severity: Low

This vulnerability can only be triggered by malicous commands sent by the Zingbox cloud to the Zingbox Inspector software. The Zingbox Inspector is configured to connect only to an authorized Zingbox cloud, which is authenticated using PKI. The vulnerability allows for remote code execution only if the Zingbox Inspector or Zingbox cloud are tampered with in order to send malicious commands to the Zingbox Inspector software.

Products Affected

Zingbox Inspector, versions 1.293 and earlier.

Available Updates

Zingbox Inspector, version 1.294 and later.

Workarounds and Mitigations

In the normal course of operation, Zingbox Inspector automatically updates its own software, and a fixed version of software has already been made available. No user action is required unless the software is unable to update itself. Customers still running affected versions of Zingbox Inspector software can mitigation this issue by updating to a patched version, or by disabling remote debugging for the Zingbox Inspector. See product documentation for more information on how to disable remote debugging.

Acknowledgements

Note: This security issue was found during an internal security audit performed during the Palo Alto Networks acquisition of Zingbox. The issues discovered during this process have been addressed in software updates as described in the published Zingbox security advisories.